/// <reference types="react" />
export interface TouchSpinProps {
    signAlignment?: Alignment;
    sign?: string;
    initValue?: number;
    step?: number;
    min?: number;
    max?: number;
    decimals?: number;
    counterHandler: (e: number) => void;
    verticalButtons?: boolean;
    verticalUpClass?: string;
    verticalDownClass?: string;
    parentStyle?: React.CSSProperties;
    inputStyle?: React.CSSProperties;
    iconSize?: number;
}
export declare enum Alignment {
    Right = 1,
    Left = 2
}
export interface ChildProps {
    onIncreaseHandler: () => void;
    OnDecreaseHandler: () => void;
    OnStopCounter: () => void;
    counter: number;
    decimals?: number;
    parentStyle?: React.CSSProperties;
    inputStyle?: React.CSSProperties;
}
export interface VerticalProps extends ChildProps {
    verticalUpClass?: string;
    verticalDownClass?: string;
    iconSize?: number;
}
export interface SideProps extends ChildProps {
    signAlignment?: Alignment;
    sign?: string;
}
